GaugeRisk Data
getAddressRiskData_1
Returns risk information for the supplied peril and address.
Returns risk information for the supplied peril and address in either CSV or JSON (default). The address and coordinates will be returned as part of the response. If an address cannot be found, the results for the center of that city will be provided.
Path Parameters
address*string
The requested address.
Query Parameters
format*string
The response format either JSON or CSV (JSON is the default).
Value in
"json" | "csv"userKey*string
The user key.
additionalData?boolean
Request extra data (more than just the risk score, JSON only).
Default
falsereturnPerilWithNoData?boolean
Request to have a response of "N/A" returned in place of a risk score when no data is available.
Default
falseResponse Body
application/json
curl -X GET "https://gauge.atheniumanalytics.com/v3/risk/address/string?perils=EARTHQUAKE&format=json&userKey=string"[
{
"state": "string",
"peril": "Cold",
"riskScore": "string",
"lat": 0.1,
"lng": 0.1,
"address": "string",
"details": null
}
]Empty
Empty
Empty